Debian Bug report logs - #589076
icu: FTBFS on armel ("Error: junk at end of line, first unrecognized character is `,'")

version graph

Package: icu; Maintainer for icu is Jay Berkenbilt <qjb@debian.org>;

Reported by: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Date: Wed, 14 Jul 2010 18:45:02 UTC

Severity: serious

Tags: patch

Found in version 4.4.1-4

Fixed in version icu/4.4.1-5

Done: Jay Berkenbilt <qjb@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jay Berkenbilt <qjb@debian.org>:
Bug#589076; Package icu. (Wed, 14 Jul 2010 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
New Bug report received and forwarded. Copy sent to Jay Berkenbilt <qjb@debian.org>. (Wed, 14 Jul 2010 18:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: submit@bugs.debian.org
Subject: icu: FTBFS on armel ("Error: junk at end of line, first unrecognized character is `,'")
Date: Wed, 14 Jul 2010 19:40:49 +0100
Package: icu
Version: 4.4.1-4
Severity: serious

Hi,

icu FTBFS on armel with assembler errors; from the build log:

LD_LIBRARY_PATH=../../lib:../../stubdata:../../tools/ctestfw:$LD_LIBRARY_PATH  MAKEFLAGS= ../../bin/pkgdata -p uconvmsg -O pkgdata.inc -m static -s uconvmsg -d uconvmsg -T uconvmsg uconvmsg/uconvmsg.lst
uconvmsg/uconvmsg_dat.s: Assembler messages:
uconvmsg/uconvmsg_dat.s:2: Error: junk at end of line, first unrecognized character is `,'
uconvmsg/uconvmsg_dat.s:5: Error: unrecognized symbol type ""
Error generating assembly code for data.
pkgdata: gcc -D_REENTRANT  -g -Wall -O0 -Wall -ansi -pedantic -Wshadow -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -Wno-long-long  -c -I../../common -I../../common -DPIC -fPIC -o uconvmsg/uconvmsg_dat.o uconvmsg/uconvmsg_dat.s
-- return status = 256

Full log available at https://buildd.debian.org/fetch.cgi?pkg=icu&arch=armel&ver=4.4.1-4&stamp=1278886723&file=log&as=raw

I believe I've found the upstream commit which fixes this and am
currently running some test builds. If those are successful then I'll
attach a patch to this bug.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Jay Berkenbilt <qjb@debian.org>:
Bug#589076; Package icu. (Wed, 14 Jul 2010 21:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Jay Berkenbilt <qjb@debian.org>. (Wed, 14 Jul 2010 21:27:07 GMT) Full text and rfc822 format available.

Message #10 received at 589076@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 589076@bugs.debian.org
Subject: Re: Bug#589076: icu: FTBFS on armel ("Error: junk at end of line, first unrecognized character is `,'")
Date: Wed, 14 Jul 2010 22:25:47 +0100
[Message part 1 (text/plain, inline)]
tag 589076 + patch
thanks

Hi,

On Wed, 2010-07-14 at 19:40 +0100, Adam D. Barratt wrote:
> icu FTBFS on armel with assembler errors; from the build log:
[...]
> I believe I've found the upstream commit which fixes this and am
> currently running some test builds. If those are successful then I'll
> attach a patch to this bug.

The attached patch, stolen from upstream, makes the package build
successfully on the armel porterbox.

Regards,

Adam
[arm-assembler.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 14 Jul 2010 21:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#589076; Package icu. (Wed, 14 Jul 2010 21:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <qjb@debian.org>:
Extra info received and forwarded to list. (Wed, 14 Jul 2010 21:39:05 GMT) Full text and rfc822 format available.

Message #17 received at 589076@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <qjb@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 589076@bugs.debian.org
Subject: thanks for the ICU patch
Date: Wed, 14 Jul 2010 17:32:24 -0400
Thanks for the quick investigation and patch.  I'll re-upload
ASAP....sometime within the next 24 hours.

-- 
Jay Berkenbilt <qjb@debian.org>




Reply sent to Jay Berkenbilt <qjb@debian.org>:
You have taken responsibility. (Sat, 17 Jul 2010 12:21:09 GMT) Full text and rfc822 format available.

Notification sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Bug acknowledged by developer. (Sat, 17 Jul 2010 12:21:09 GMT) Full text and rfc822 format available.

Message #22 received at 589076-close@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <qjb@debian.org>
To: 589076-close@bugs.debian.org
Subject: Bug#589076: fixed in icu 4.4.1-5
Date: Sat, 17 Jul 2010 12:17:29 +0000
Source: icu
Source-Version: 4.4.1-5

We believe that the bug you reported is fixed in the latest version of
icu, which is due to be installed in the Debian FTP archive:

icu-doc_4.4.1-5_all.deb
  to main/i/icu/icu-doc_4.4.1-5_all.deb
icu_4.4.1-5.debian.tar.gz
  to main/i/icu/icu_4.4.1-5.debian.tar.gz
icu_4.4.1-5.dsc
  to main/i/icu/icu_4.4.1-5.dsc
lib32icu-dev_4.4.1-5_amd64.deb
  to main/i/icu/lib32icu-dev_4.4.1-5_amd64.deb
lib32icu44_4.4.1-5_amd64.deb
  to main/i/icu/lib32icu44_4.4.1-5_amd64.deb
libicu-dev_4.4.1-5_amd64.deb
  to main/i/icu/libicu-dev_4.4.1-5_amd64.deb
libicu44-dbg_4.4.1-5_amd64.deb
  to main/i/icu/libicu44-dbg_4.4.1-5_amd64.deb
libicu44_4.4.1-5_amd64.deb
  to main/i/icu/libicu44_4.4.1-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589076@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jay Berkenbilt <qjb@debian.org> (supplier of updated icu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 17 Jul 2010 07:30:22 -0400
Source: icu
Binary: libicu44 libicu44-dbg libicu-dev lib32icu44 lib32icu-dev icu-doc
Architecture: source all amd64
Version: 4.4.1-5
Distribution: unstable
Urgency: low
Maintainer: Jay Berkenbilt <qjb@debian.org>
Changed-By: Jay Berkenbilt <qjb@debian.org>
Description: 
 icu-doc    - API documentation for ICU classes and functions
 lib32icu-dev - Development files for International Components for Unicode (32-bi
 lib32icu44 - International Components for Unicode (32-bit)
 libicu-dev - Development files for International Components for Unicode
 libicu44   - International Components for Unicode
 libicu44-dbg - International Components for Unicode
Closes: 589076
Changes: 
 icu (4.4.1-5) unstable; urgency=low
 .
   * Include patch from upstream to fix arm assembler bug.  Thanks to Adam
     Barratt for finding the fix.  (Closes: #589076)
Checksums-Sha1: 
 dc28eacc70e9a0cacef9fe6afc793bfeaabb76a1 1333 icu_4.4.1-5.dsc
 0b8a8a7f0dc301bd2a6dda8fa9387f5713bc23af 15453 icu_4.4.1-5.debian.tar.gz
 d67c69ad15ee9b72a7702baa556c4240f942d3c8 3867720 icu-doc_4.4.1-5_all.deb
 d793f988bc55dda4e5536a6e06620fe0f95643dd 7060392 libicu44_4.4.1-5_amd64.deb
 05c897a9eac298b45455920c09222f27a9a7d2ae 3486500 libicu44-dbg_4.4.1-5_amd64.deb
 5f17b93350d3c10c0c7e6764a146c48c8bffacb5 8581802 libicu-dev_4.4.1-5_amd64.deb
 61af6033f1139e786bb41ccdee924f6371f364cc 7078584 lib32icu44_4.4.1-5_amd64.deb
 8f8cd312a980e1689b599512c96fe85dec4deeb6 7361782 lib32icu-dev_4.4.1-5_amd64.deb
Checksums-Sha256: 
 937eb3cbeacc0f3b778d86aa9c8db4c618de2ce3d6a6a428d92e2124f3419dbf 1333 icu_4.4.1-5.dsc
 ee2ac5bc3934faf3879fa18e9c6e18529d48ed3e4a1f034251b40d7f8aaee2a8 15453 icu_4.4.1-5.debian.tar.gz
 8f0bfccb742a294df88678b4356b4a06a6a5bdff36606666f544ae146e1a39fa 3867720 icu-doc_4.4.1-5_all.deb
 4206125b17c4596be83c0dd0c1d4cce3980de190d48871cba55993d49a2dda6e 7060392 libicu44_4.4.1-5_amd64.deb
 456876830b1af41550144c4c12560b10b245dd8dd78356cd81b615d852746fb1 3486500 libicu44-dbg_4.4.1-5_amd64.deb
 baa30f0274a5352e0fe3a612ea4b66e90d6ff62ab21e5fceaaebbf73673a4cc4 8581802 libicu-dev_4.4.1-5_amd64.deb
 61307d50c47dee4f10f3ce494c577c3c347647dac3f9403096692f53d082c7ca 7078584 lib32icu44_4.4.1-5_amd64.deb
 f898dfa84948953d6270b828555dc1da7e6bbced09d02f894f4cfbc83b86a9cf 7361782 lib32icu-dev_4.4.1-5_amd64.deb
Files: 
 cdb840b5b8728bfb59e6aeae4c9baeb5 1333 libs optional icu_4.4.1-5.dsc
 21d5d8c3002b8d7221196abcd6dfcc2c 15453 libs optional icu_4.4.1-5.debian.tar.gz
 4f4b2282313b78c587802d7f929d38f9 3867720 doc optional icu-doc_4.4.1-5_all.deb
 069e201f08716083bb7c1fe48501fc99 7060392 libs optional libicu44_4.4.1-5_amd64.deb
 05cba6db110e997d7d5cf6f1a5151f5b 3486500 debug extra libicu44-dbg_4.4.1-5_amd64.deb
 be08fa3d92235c96b830ddfc8ca0c0ec 8581802 libdevel optional libicu-dev_4.4.1-5_amd64.deb
 42b7f77770fddfb5cf2d8cc362d5b86b 7078584 libs optional lib32icu44_4.4.1-5_amd64.deb
 b500abbbc5be1ba89e45d0eccab8aa90 7361782 libdevel optional lib32icu-dev_4.4.1-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxBnN0ACgkQEBVk6taI4Kf6sACgmb2Rq89BTDPdvA8WCTV+hYcD
cgUAnAifmbeKDtwZGy4/ThafdxPA+tyf
=LVGB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Aug 2010 07:35:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:32:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.